Get a list of payment gateways
GET
/payment-gateways
const url = 'https://acme.mykreezalid.com/api/v1/payment-gateways';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://acme.mykreezalid.com/api/v1/payment-gateways \ --header 'Authorization: Basic <credentials>'Returns all the payment gateways of your marketplace.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The payment gateways
Media typeapplication/json
Array<object>
A payment provider set up on your marketplace.
object
totalResultsCount
Number of results across all pages.
integer
currentPage
Number of the page returned, starting at 1.
integer
nextPage
Whether a next page exists.
boolean
prevPage
Whether a previous page exists.
boolean
resultOnPageCount
Number of results on this page.
integer
pageCount
Number of pages.
integer
id
integer
object
Returned when you retrieve one gateway, not in the list
string
title
Name of the gateway
string
sandbox
Whether the gateway runs in test mode
boolean
status
string
currency
string
statement_descriptor
Text shown on the customers’ bank statements
string
min_transaction_size
Smallest amount accepted
number
max_transaction_size
Largest amount accepted
number
settings
Options of the gateway
object
created
string format: date-time
Example
[ { "totalResultsCount": 137, "currentPage": 1, "resultOnPageCount": 25, "pageCount": 6, "id": 432349, "object": "PaymentGateway", "currency": "EUR" }]